nistest(1)

NAME
nistest - return the state of the NIS+ namespace using a conditional expression

SYNOPSIS
nistest [ -L [ -P ] ] [ -M ] [ -a rights | -t type ] object

nistest [ -L [ -P ] ] [ -M ] [ -a rights ] indexedname

DESCRIPTION
nistest provides a way for shell scripts and other programs to test for the existence, type, and access rights of objects and entries. Entries are named using indexed names (see nismatch(1)).

OPTIONS

-L  Follow links. If the object named by object or the tablename component of indexedname names a LINK type object, the link is followed when this switch is present.

-P  Follow concatenation path. This option specifies that the lookup should follow the concatenation path of a table if the initial search is unsuccessful. This option is only valid when using indexed names or following links.

-M  Master server only. This option specifies that the lookup should be sent to the master server of the named data. This guarantees that the most up to date information is seen at the possible expense that the master server may be busy.

-a rights
    This option is used to verify that the current process has the desired or required access rights on the named object or entries. The access rights are specified in the same way as the nischmod(1) command.

-t type
    This option tests the type of object. The value of type can be one of the following:

    B   Return true if the object is a bogus object.

    D   Return true if the object is a directory object.

    G   Return true if the object is a group object.

    T   Return true if the object is a table object.

    L   Return true if the object is a link object.

    P   Return true if the object is a private object.

RETURN VALUES

    0   Success.

    1   Failure due to object not present, not of specified type and/or no such access.

    2   Failure due to illegal usage.

EXAMPLES

When testing for access rights, nistest returns success (0) if the specified rights are granted to the current user. Thus testing for access rights

    example% nistest -a w=mr foo.bar

Tests that all authenticated NIS+ clients have read and modify access to the object named skippy.domain.

Testing for access on a particular entry in a table can be accomplished using the indexed name syntax. The following example tests to see if an entry in the password table can be modified.

ENVIRONMENT

NIS_PATH
    If this variable is set, and the NIS+ name is not fully qualified, each directory specified will be searched until the object is found (see nisdefaults(1)).

SEE ALSO
nischmod(1), nisdefaults(1)

AUTHOR
This version of the nistest command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.